package com.gic.cloud.data.hook.api.enums;


public enum QueryFilterCodeEnum {
    CLERK_CODE("clerkCode","导购编号筛选"),
    CLERK_NAME("clerkName","导购名称筛选"),
    STORE_CODE("storeCode","门店编号筛选"),
    STORE_NAME("storeName","门店名称筛选"),
    STORE_GROUP_NAME("storeGroupName","门店分组筛选"),
    ;
    private String code;
    private String name;

    QueryFilterCodeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
