package com.gic.cloud.data.hook.service.dao;

import com.gic.cloud.data.hook.service.entity.DhFlatQueryFilter;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* @author hua
* @description 针对表【dh_flat_query_filter(过滤项)】的数据库操作Mapper
* @createDate 2023-04-19 14:37:43
* @Entity com.gic.cloud.data.hook.service.entity.DhFlatQueryFilter
*/
@Mapper
public interface DhFlatQueryFilterMapper {

    int deleteByPrimaryKey(Long id);

    int insert(DhFlatQueryFilter record);

    int insertSelective(DhFlatQueryFilter record);

    DhFlatQueryFilter selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(DhFlatQueryFilter record);

    int updateByPrimaryKey(DhFlatQueryFilter record);

    DhFlatQueryFilter getFilterByCode(@Param("filterCode") String filterCode);

}
